textures/dem/icelake2_opaque_cushion
{
	qer_editorimage textures/dem/icelake2_cushion.tga
	surfaceparm slick
	surfaceparm nodamage
	tesssize 256

	{
		map textures/effects/envmap_ice2.tga
		tcgen environment
		rgbGen identity
	}
	{
		map textures/snow_sd/icelake2.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/detail_sd/snowdetail_heavy.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 4 4
		detail
	}
}

textures/dem/38slick
{
	qer_editorimage textures/dem/38_slick.tga
	surfaceparm slick
	surfaceparm nodamage
	{
		map textures/dem/38.tga
		blendfunc blend
	}	
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}


textures/dem/6slick
{
	qer_editorimage textures/dem/6_slick.tga
	surfaceparm slick
	surfaceparm nodamage
	{
		map textures/dem/6.tga
		
	}	
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}


textures/dem/26
{
	surfaceparm metalsteps
	implicitMap -
}

textures/dem/80
{
	surfaceparm woodsteps
	implicitMap -
}

textures/dem/81
{
	surfaceparm woodsteps
	implicitMap -
}

textures/dem/82
{
	surfaceparm woodsteps
	implicitMap -
}

textures/dem/32
{
	surfaceparm gravelsteps
	implicitMap -
}
textures/dem/numbers
{
	qer_editorimage textures/dem/numbers.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	nopicmip
	{
		map textures/dem/numbers.tga
		blendFunc blend
		
	}
}






textures/dem/quakevesi
{
    qer_editorimage textures/dem/pool3d_3e.jpg
    qer_trans .5
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm water
    surfaceparm nomarks
    
    //q3map_lightimage textures/dem/pool3d_3e.jpg
    //q3map_surfacelight 100
    //q3map_bounceScale 0.1

    cull disable
    deformVertexes wave 64 sin .25 .25 0 .5    
    { 
        map textures/dem/pool3d_5e.jpg
        blendFunc GL_dst_color GL_one
        rgbgen identity
        tcmod scale 0.1 0.1
        tcmod scroll .02 .01
    }

    { 
        map textures/dem/pool3d_3e.jpg
        blendFunc GL_dst_color GL_one
        tcmod scale -0.1 -0.1
        tcmod scroll .1 .1
    }
	{
        map $lightmap
		blendFunc GL_dst_color GL_one
        //blendFunc GL_dst_color GL_zero
        rgbgen identity        
    }

}



textures/dem/quakevesi_light
{
    qer_editorimage textures/dem/pool3d_3e.jpg
    qer_trans .5
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm water
    surfaceparm nomarks
    
    //q3map_lightimage textures/dem/pool3d_3e.jpg
    //q3map_surfacelight 100
    //q3map_bounceScale 0.1

    cull disable
    deformVertexes wave 64 sin .25 .25 0 .5    
    { 
        map textures/dem/pool3d_5e.jpg
        blendFunc GL_dst_color GL_one
        rgbgen identity
        tcmod scale 0.1 0.1
        tcmod scroll .02 .01
    }

    { 
        map textures/dem/pool3d_3e.jpg
        blendFunc GL_dst_color GL_one
        tcmod scale -0.1 -0.1
        tcmod scroll .04 .04
    }
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		alphaGen const 5.5      
    }

}


textures/dem/rock_ter
{
    qer_editorimage textures/classicajb/rock_terrain.tga
	
	q3map_nonplanar
	q3map_shadeangle 120
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dem/58.tga	
		blendfunc filter
	}

	
}




textures/dem/icelake_top_ob
{
	qer_trans 0.80
	qer_editorimage textures/snow_sd/icelake3.tga
	sort seethrough
	surfaceparm slick
	surfaceparm trans
	surfaceparm glass
	surfaceparm monsterslicksouth
	surfaceparm nodamage
	
	tesssize 256

	{
		map textures/effects/envmap_ice2.tga
		tcgen environment
		blendfunc blend
	}
	{
		map textures/snow_sd/icelake3.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		depthWrite
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 4 4
		detail
	}
}



textures/dem/portal_solid

{
	qer_editorimage textures/dem/portal2.tga
	qer_trans 0.5
	cull none
	surfaceparm nomarks
	surfaceparm noimpact
	
	q3map_surfacelight 4000
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/dem/portal2.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		tcgen environment
	}
}

textures/dem/portal_nonsolid

{
	qer_editorimage textures/dem/portal2.tga
	qer_trans 0.9
	cull none
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm noimpact
	
	q3map_surfacelight 4000
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/dem/portal2.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		tcgen environment
	}
}


textures/dem/light
{
	qer_editorimage textures/dem/35.tga
	q3map_lightimage textures/dem/35.tga
	q3map_surfacelight 10000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dem/35.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/dem/light_super
{
	qer_editorimage textures/dem/35.tga
	q3map_lightimage textures/dem/35.tga
	q3map_surfacelight 20000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dem/35.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}



textures/dem/j1
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm nolightmap
	implicitMask -
}

textures/dem/j2
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm nolightmap
	implicitMask -
}

textures/dem/j3
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm nolightmap
	implicitMask -
}

textures/dem/j4
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm nolightmap
	implicitMask -
}

textures/dem/j5
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm nolightmap
	implicitMask -
}

textures/dem/j6
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm nolightmap
	implicitMask -
}

textures/dem/j7
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm nolightmap
	implicitMask -
}

textures/dem/j8
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm nolightmap
	implicitMask -
}

textures/dem/j9
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm nolightmap
	implicitMask -
}

textures/dem/j10
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm nolightmap
	implicitMask -
}

textures/dem/j11
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm nolightmap
	implicitMask -
}

textures/dem/j12
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm nolightmap
	implicitMask -
}

textures/dem/numbers2
{
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	nopicmip
	polygonoffset
	nomipMaps
	nocompress
	{
		map textures/dem/numbers2.tga
		blendFunc GL_ONE GL_ONE
		
	}
}



textures/dem/radiant
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm nolightmap
	implicitMask -
}